package com.izouma.wenlvju.web;

import com.izouma.wenlvju.ApplicationTests;
import com.izouma.wenlvju.domain.ExamRoom;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class ExamRoomControllerTest extends ApplicationTests {

    @Autowired
    private ExamRoomController examRoomController;

    @Test
    public void save() {
//        ExamRoom build = ExamRoom.builder()
//                .name("萌艺佳")
//                .deviceSerial("F75663984")
//                .recordId(1206L)
//                .validateCode("PKDYXQ")
//                .address("秦淮区卡子门大街复地活力广场")
//                .build();
//        examRoomController.save(build);

//        ExamRoom build1 = ExamRoom.builder()
//                .name("百世琴行")
//                .deviceSerial("G05342208")
//                .recordId(1205L)
//                .validateCode("YEIACL")
//                .address("秦淮区七家湾88号")
//                .build();
//        examRoomController.save(build1);

        ExamRoom build1 = ExamRoom.builder()
                .name("灵羽舞蹈艺术")
                .deviceSerial("G05342208")
                .recordId(1209L)
                .validateCode("YEIACL")
                .address("建邺区莲池路油坊城三楼06—09炫梦艺术")
                .build();
        examRoomController.save(build1);


    }
}